clang-tools 10.0.0

Classes | Namespaces | Functions
Compiler.h File Reference
`#include "../clang-tidy/ClangTidyOptions.h"`
`#include "GlobalCompilationDatabase.h"`
`#include "index/Index.h"`
`#include "clang/Frontend/CompilerInstance.h"`
`#include "clang/Frontend/PrecompiledPreamble.h"`
`#include "clang/Tooling/CompilationDatabase.h"`
Include dependency graph for Compiler.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::clangd::IgnoreDiagnostics
struct | clang::clangd::ParseOptions
struct | clang::clangd::ParseInputs
| Information required to run clang, e.g. to parse AST or do code completion. More...

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
std::unique_ptr< CompilerInvocation > | clang::clangd::buildCompilerInvocation (const ParseInputs &Inputs, clang::DiagnosticConsumer &D, std::vector< std::string > *CC1Args=nullptr)
| Builds compiler invocation that could be used to build AST or preamble. More...
std::unique_ptr< CompilerInstance > | clang::clangd::prepareCompilerInstance (std::unique_ptr< clang::CompilerInvocation >, const PrecompiledPreamble *, std::unique_ptr< llvm::MemoryBuffer > MainFile, IntrusiveRefCntPtr< llvm::vfs::FileSystem >, DiagnosticConsumer &)
| Creates a compiler instance, configured so that: More...